/* HTML5 display-role reset for older browsers */

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

label.checkbox-label {
    font-size: 13px;
    color: #000000;
    cursor: pointer;
    padding-left: 35px;
    font-weight: 600;
}

fieldset li label {
    font-size: 16px;
    text-align: left;
    margin: 0 10px 5px 0;
    line-height: 27px;
    font-family: 'Poppins', sans-serif;
    color: #000000;
}

fieldset ul li {
    margin: 0 0 10px 0;
    list-style: none;
    padding: 0;
    position: relative;
    clear: both;
}

span.radio-option {
    display: inherit;
    margin: 0 0 12px 0;
    vertical-align: top;
    min-height: 28px;
    font-size: 90%;
    overflow: visible;
    line-height: 1.3;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}


/* -------------- FORMS ---------------- */

body,
input,
textarea {
    font-family: Helvetica, Arial, sans-serif;
}

form {
    padding: 20px 0;
    margin: 0;
}

fieldset {
    border: none;
}

fieldset ul li {
    margin: 0 0 10px 0;
    list-style: none;
    padding: 0;
    position: relative;
    clear: both;
}

fieldset ul li .checkbox-option {
    display: inline-block;
}

fieldset ul li .radio-option {
    display: inline-block;
}

fieldset li label {
    font-size: 13px;
    text-align: left;
    margin: 0 10px 5px 0;
    line-height: 17px;
    color: #333;
}

fieldset li .field_info {
    font-size: 11px;
    color: #999;
    font-style: italic;
}

input,
textarea,
option {
    font-size: 13px;
}
input[type=tel],
input[type=text],
input[type=password],
textarea {
    border: 1px solid #888;
    padding: 7px 5px;
    margin: 2px 0;
    width: 100%;
    font-size: 13px;
    transition: background-color .2s;
    -moz-transition: background-color .2s;
    /* Firefox 4 */
    -webkit-transition: background-color .2s;
    /* Safari and Chrome */
    -o-transition: background-color .2s;
    /* Opera */
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-box-sizing: border-box !important;
    -webkit-box-sizing: border-box !important;
    box-sizing: border-box !important;
}

input:focus,
textarea:focus {
    outline: none;
    box-shadow: 0 2px 4px #ddd;
    background-color: #fffdf3;
    transition: background-color .5s;
    -moz-transition: background-color .5s;
    /* Firefox 4 */
    -webkit-transition: background-color .5s;
    /* Safari and Chrome */
    -o-transition: background-color .5s;
    /* Opera */
}

select {
    max-width: 300px;
}

option {
    padding: 2px;
    font-size: 14px;
}

textarea {
    height: 60px;
    border: 1px solid #888;
}


/* -------------- Errors ---------------- */

label.error {
    clear: both;
    display: inline-block;
    background: #d93d3d;
    color: #fff;
    box-shadow: 0 1px 1px #900;
    padding: 2px 6px;
    margin: 10px;
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
}

select.error {
    border: 2px solid #d93d3d;
}

#form_errors {
    clear: both;
    float: left;
    background: #d93d3d;
    color: #fff;
    box-shadow: 0 1px 1px #900;
    font-size: 12px;
    padding: 5px 6px;
    margin: 10px 0;
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
}

#form_errors.hide {
    display: none;
}


/* Buttons */

.button {
    position: relative;
    cursor: pointer;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    line-height: 14px;
    font-weight: 600;
    background-image: none;
    color: #ffffff;
    padding-top: 18px;
    padding-bottom: 18px;
    min-width: 100px;
    margin-top: 3px;
    background-color: #000000;
    border: 1px solid #000000;
    border-radius: 0px;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    border: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    text-shadow: none;
    flex: 1;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    transition: all .3s ease;
    -moz-transition: all .3s ease;
    -webkit-transition: all .3s ease;
}

button {
    cursor: pointer;
}

.button:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 1px;
    left: 0;
    background-color: transparent;
    background-image: none;
    border: 1px solid #000000;
    opacity: 0;
    transition: .3s cubic-bezier(.17, .54, 0, 1.01);
    -webkit-transition: .3s cubic-bezier(.17, .54, 0, 1.01);
    -moz-transition: .3s cubic-bezier(.17, .54, 0, 1.01);
    -o-transition: .3s cubic-bezier(.17, .54, 0, 1.01);
    z-index: -1;
}

.button:after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 1px;
    left: 0;
    background-color: transparent;
    background-image: none;
    border: 1px solid #000000;
    opacity: 0;
    transition: all .2s ease;
    -webkit-transition: all .2s ease;
    -moz-transition: all .2s ease;
    -o-transition: all .2s ease;
    z-index: -2;
}


/* Utils */

.clear {
    clear: both;
}

.pull-right {
    float: right;
}

.pull-left {
    float: left;
}

body .hide {
    display: none;
}


/* reCaptcha */

.ss-recaptcha .ss-recaptcha-logo {
    height: 24px;
    width: 24px;
    float: left;
    background: url(https://www.gstatic.com/recaptcha/api2/logo_48.png);
    background-size: 24px 24px;
    display: none;
}

.ss-recaptcha .ss-anchor-invisible-text {
    font-size: 12px;
    color: #7F7F7F;
}

.ss-recaptcha .ss-anchor-pt {
    font-size: 12px;
}

.ss-recaptcha .ss-anchor-pt a {
    color: #7F7F7F;
}


/* Multicolumn */

@media only screen and (min-width: 450px) {
    .row {
        display: flex;
    }
    .row .col-2,
    .row .col-3 {
        display: inline-block;
        vertical-align: top;
    }
    .row .col-2:not(:last-child),
    .row .col-3:not(:last-child) {
        margin-right: 3%;
    }
    .row .col-2 {
        width: 48.5%;
    }
    .row .col-3 {
        width: 31.3%;
    }
    .row hr {
        align-self: center;
    }
    .row hr.col-2 {
        vertical-align: middle;
        width: calc(48.5% - 2px);
    }
    .row hr.col-3 {
        vertical-align: middle;
        width: calc(31.3% - 2px);
    }
}

input[type=text],
input[type=tel],
input[type=password],
textarea {
    background-color: #ffffff;
    color: #666666;
    border: none;
    border-bottom: 2px solid #000000;
    padding: 1.3em 2em;
    margin: 3px 0;
    width: 100%;
    font-size: 14px;
    transition: all .5s;
    -moz-transition: all .5s;
    -webkit-transition: all .5s;
    -o-transition: all .5s;
    border-radius: 0px;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-box-sizing: border-box !important;
    -webkit-box-sizing: border-box !important;
    box-sizing: border-box !important;
}

input,
textarea,
option {
    font-size: 14px;
    font-weight: 400;
}

input,
textarea {
    font-family: 'Poppins', sans-serif;
}

fieldset ul li {
    margin: 0 0 10px 0;
    list-style: none;
    padding: 0;
    position: relative;
    clear: both;
}

label.checkbox-label {
    font-size: 13px;
    color: #000000;
    cursor: pointer;
    padding-left: 35px;
    font-weight: 600;
}

fieldset li label {
    font-size: 16px;
    text-align: left;
    margin: 0 10px 5px 0;
    line-height: 27px;
    font-family: 'Poppins', sans-serif;
    color: #000000;
}

span.radio-option {
    display: inherit;
    margin: 0 0 12px 0;
    vertical-align: top;
    min-height: 28px;
    font-size: 90%;
    overflow: visible;
    line-height: 1.3;
}

fieldset ul li {
    margin: 0 0 10px 0;
    list-style: none;
    padding: 0;
    position: relative;
    clear: both;
}


/* DEFAULTS */


/* =============================================== */

.selection {
    display: grid;
    place-content: left;
    min-height: 2vh;
    margin: 0;
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Open Sans', sans-serif;
}


/* MAIN */


/* =============================================== */

.rad-label {
    display: flex;
    align-items: baseline;
    border-radius: 100px;
    margin: 0px 0;
    cursor: pointer;
    transition: .3s;
}

.rad-label:hover,
.rad-label:focus-within {}

.rad-input {
    position: absolute;
    left: 0;
    top: 0;
    width: 1px;
    height: 1px;
    opacity: 0;
    z-index: -1;
}

.rad-design {
    width: 22px;
    height: 22px;
    border-radius: 100px;
    background: linear-gradient(to right bottom, #d8ba5f, #fdc300);
    position: relative;
    bottom: -7px;
}

.rad-design::before {
    content: '';
    display: inline-block;
    width: inherit;
    height: inherit;
    border-radius: inherit;
    background: hsl(0, 0%, 90%);
    transform: scale(1.1);
    transition: .3s;
}

.rad1-design {
    width: 22px;
    height: 22px;
    background: linear-gradient(to right bottom, #d8ba5f, #fdc300);
    position: relative;
    bottom: -7px;
}

.rad1-design::before {
    content: '';
    display: inline-block;
    width: inherit;
    height: inherit;
    background: hsl(0, 0%, 90%);
    transform: scale(1.1);
    transition: .3s;
}

.rad-input:checked+.rad-design::before {
    transform: scale(0);
}

.rad-text {
    color: hsl(0, 1%, 31%);
    letter-spacing: 0px;
    transition: .3s;
    font-size: 16px;
    text-align: left;
    margin: 0px 0px 5px 10px;
    line-height: 27px;
    /* font-family: 'Poppins', sans-serif; */
    color: #000000;
    font-weight: 600;
}

.rad-input:checked~.rad-text {
    color: hsl(0, 5%, 34%);
}


/*-------------------------------*/

.alert {
    padding: 20px;
    background-color: #f44336;
    color: white;
}

.closebtn {
    color: white;
    font-weight: bold;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

.closebtn:hover {
    color: black;
}

.invalid-feedback,
.empty-feedback {
    display: none;
}

.was-validated :placeholder-shown:invalid~.empty-feedback {
    display: block;
    color:red;
}

.was-validated :not(:placeholder-shown):invalid~.invalid-feedback {
    display: block;
}

.is-invalid,
.was-validated :invalid {
    border-color: #dc3545;
}